<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <Configurations>Debug;Release;Auto</Configurations>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="config.Auto.json" />
    <None Remove="config.Debug.json" />
    <None Remove="config.Release.json" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="config.Auto.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="config.Release.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="config.Debug.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content> 
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Autofac" Version="8.2.0" />
    <PackageReference Include="Cucumber.CucumberExpressions" Version="18.0.1" />
    <PackageReference Include="DotNetSeleniumExtras.WaitHelpers" Version="3.11.0" />
    <PackageReference Include="e-suite.API.Common" Version="2025.3.24.1" />
    <PackageReference Include="e-suite.UnitTestCore" Version="2025.3.10.2" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.13.0" />
    <PackageReference Include="Otp.NET" Version="1.4.0" />
    <PackageReference Include="Reqnroll" Version="2.4.0" />
    <PackageReference Include="Reqnroll.Autofac" Version="2.4.0" />
    <PackageReference Include="Reqnroll.CustomPlugin" Version="2.4.0" />
    <PackageReference Include="Reqnroll.MsTest" Version="2.4.0" />
    <PackageReference Include="Reqnroll.SpecFlowCompatibility" Version="2.4.0" />
    <PackageReference Include="Reqnroll.SpecFlowCompatibility.Actions.Configuration" Version="0.2.6" />
    <PackageReference Include="Reqnroll.Tools.MsBuild.Generation" Version="2.4.0" />
    <PackageReference Include="Selenium.Support" Version="4.30.0" />
    <PackageReference Include="Selenium.WebDriver" Version="4.30.0" />
    <PackageReference Include="Selenium.WebDriver.ChromeDriver" Version="134.0.6998.16500" />
    <PackageReference Include="MSTest.TestAdapter" Version="3.8.3" />
    <PackageReference Include="MSTest.TestFramework" Version="3.8.3" />
    <PackageReference Include="FluentAssertions" Version="8.2.0" />
  </ItemGroup>

  <ItemGroup>
    <None Update="reqnroll.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
